using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Drawing.Text;
using System.Reflection;
using System.Text;
using System.Windows.Forms;

namespace Titulkovac
{
	public partial class frmEdit : Form
	{
		public frmEdit()
		{
			InitializeComponent();
			initFormularovychPrvku();
		}

		private void initFormularovychPrvku() {
			cmbFont.Items.Clear();
			InstalledFontCollection ifc = new InstalledFontCollection();
			FontFamily[] ff = ifc.Families;
			for (int i = 0; i < ifc.Families.Length; i++)
			{
				cmbFont.Items.Add(ifc.Families[i].Name);
			}
			cmbColorBackground.Items.Clear();
			cmbColorMessage.Items.Clear();
			Type typ = typeof(Color);
			PropertyInfo[] api = typ.GetProperties();
			foreach (PropertyInfo pi in api) {
				//je pro cteni a staticka?
				if (pi.CanRead && pi.GetGetMethod().IsStatic) {
					//pridame barvu
					cmbColorBackground.Items.Add(pi.Name);
					cmbColorMessage.Items.Add(pi.Name);
				}
			}
		}

	}
}